// ==============
// File: my_string.hpp
// By: Jack Holdsworth - 20023933
// Use: MyString header file for task3
// Written on: c++17
// ==============

#pragma once
#include <iostream>
#include <cstring>

//Class for string and an automated reference counter
class MyString {

    char* string;
    int* count;
    public:
        MyString();
        MyString(const char*);
        MyString(MyString const& s);
        MyString& operator= (MyString const& s);
        ~MyString();

        char getChar(const int& i) const;
        void setChar(const int& i, const char& c);
        void print() const;

};